Constants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.Constants class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Class Constants

    java.lang.Object
      org.hyperic.hq.ui.Constants

All Implemented Interfaces:
  AttrConstants, DefaultConstants, KeyConstants, MessageConstants, NumberConstants, ParamConstants, RetCodeConstants, StringConstants, TypeConstants

Direct Known Subclasses:
  RequestKeyConstants

    public class Constants

extends java.lang.Object
implements RetCodeConstants, NumberConstants, MessageConstants, DefaultConstants, TypeConstants, AttrConstants, ParamConstants, KeyConstants, StringConstants

Manifest constants for the UI of the HQ application. The constants are actually organized into more digestable chunks in logical interfaces, e.g. attributes are in AttributeConstants and numbers are in NumberConstants

Field Summary
`static java.lang.String` | `ALERT_CONFIG_LOC`
`static java.lang.String` | `ALERT_LOC` These two locations are not handled similar to the rest of the above URL
`static java.lang.String` | `APP_BUILD`
`static java.lang.String` | `APP_VERSION`
`static java.lang.String` | `CONTROL_LOC`
`static java.lang.String` | `CONTROL_STATUS_COMPLETED`
`static java.lang.String` | `CONTROL_STATUS_ERROR` Status of the current control action.
`static java.lang.String` | `CONTROL_STATUS_INPROGRESS`
`static java.lang.String` | `CONTROL_STATUS_NONE`
`static java.lang.String` | `INVENTORY_LOC_TYPE`
`static java.lang.String` | `MONITOR_CONFIG_LOC`
`static java.lang.String` | `MONITOR_VISIBILITY_LOC`

Fields inherited from interface org.hyperic.hq.ui.RetCodeConstants
`ADD_URL, AJAX_URL, BACK_URL, CANCEL_URL, CHART_URL, COMPARE_URL, EDIT_RANGE_URL, EDIT_URL, FAILURE_URL, NEW_URL, OK_ASSIGN_URL, REDRAW_URL, REMOVE_URL, RESET_URL, RSS_URL, SCHEDULE_TYPE_CHG_URL, SUCCESS_URL`

Fields inherited from interface org.hyperic.hq.ui.NumberConstants
`DAYS, FIVE_MINUTES, HOURS, MINUTES, SECS_IN_DAY, SECS_IN_HOUR, SECS_IN_MINUTE, SECS_IN_WEEK, UNKNOWN`

Fields inherited from interface org.hyperic.hq.ui.MessageConstants
`CNF_AUTO_BASELINE_SET, CNF_METRIC_DISPLAY_RANGE_CHANGED, CNF_METRICS_BASELINE_SET, ERR_CAM_GENERAL, ERR_DUP_CLUSTER_ASSIGNMENT, ERR_DUP_RESOURCE_FOUND, ERR_DUP_ROLE_CREATION, ERR_PERM_USER_REMOVAL, ERR_PLATFORM_HEALTH_ATTR, ERR_PLATFORM_NOT_FOUND, ERR_RESOURCE_ID_FOUND, ERR_RESOURCE_LIST_VIEW_PERM, ERR_RESOURCE_NOT_FOUND, ERR_RESOURCE_VIEW_PERM, ERR_ROLE_NOT_FOUND, ERR_SERVER_HEALTH_ATTR, ERR_URL_NOT_SPECIFIED`

Fields inherited from interface org.hyperic.hq.ui.DefaultConstants
`ADDTOLIST_SIZE_DEFAULT, AVAILABILITY_DEFAULT_TIMEOUT, DEFAULT_CHART_POINTS, FILTER_BY_DEFAULT, MAX_PAGES, NO_FILTER_FLAG, PAGENUM_DEFAULT, PAGESIZE_ALL, PAGESIZE_DEFAULT, SORTCOL_DEFAULT, SORTORDER_ASC, SORTORDER_DEC, SORTORDER_DEFAULT`

Fields inherited from interface org.hyperic.hq.ui.TypeConstants
`APPDEF_TYPE_GROUP_ADHOC, APPDEF_TYPE_GROUP_COMPAT`

Fields inherited from interface org.hyperic.hq.ui.AttrConstants
`AGENT, AGENTS_COUNT, AI_IPS, AI_SAMPLE_SERVICETYPE_LIST, AI_SERVERS, AIPLATFORM_ATTR, AISCHEDULE_ATTR, AJAX_HTML, AJAX_ID, AJAX_JSON, AJAX_TYPE, ALERT_DEFINITION_ATTR, ALERT_DEFS_ATTR, ALERTS_ATTR, ALL_EVENTS_ATTR, ALL_OPS_ATTR, ALL_PERMS_ATTR, ALL_PLATFORM_SERVICE_TYPES_ATTR, ALL_PLATFORM_TYPES_ATTR, ALL_PLATFORMS_ATTR, ALL_PRINCIPALS_ATTR, ALL_RESGRPS_ATTR, ALL_RESOURCES_ATTR, ALL_RESOURCES_CONTROLLABLE, ALL_RESTYPES_ATTR, ALL_SCHEDULES_ATTR, ALL_SERVER_TYPES_ATTR, ALL_USERS_ATTR, ALL_WINDOWS_SERVICE_TYPES_ATTR, APPDEF_ENTRIES_ATTR, APPLICATIONS_ATTR, APPSVC_CURRENT_ATTR, APPSVC_DEPENDEES_ATTR, APPSVC_DEPENDERS_ATTR, AUTO_INVENTORY, AVAIL_APPSVCS_REQ_ATTR, AVAIL_METRICS_ATTR, AVAIL_RESGRPS_ATTR, AVAIL_RESOURCES_ATTR, AVAIL_SVCDEPS_REQ_ATTR, AVAIL_USERS_ATTR, BREADCRUMB_SESSION_ATTR_NAME, BREADCRUMB_SESSION_BACKUP_ATTR_NAME, CAN_MODIFY_ALERT_ATTR, CAN_TAKE_ACTION_ON_ALERT_ATTR, CAN_VIEW_RESOURCE_TYPE_ALERT_TEMPLATE_ATTR, CAT_AVAILABILITY_METRICS_ATTR, CAT_PERFORMANCE_METRICS_ATTR, CAT_THROUGHPUT_METRICS_ATTR, CAT_UTILIZATION_METRICS_ATTR, CHART_DATA_KEYS, CHART_DATA_KEYS_SIZE, CHART_DATA_SES_ATTR, CHILD_RESOURCE_TYPE_ATTR, CHILD_RESOURCES_ATTR, CONTROL_ACTIONS_SERVER_ATTR, CONTROL_CONFIG_OPTIONS, CONTROL_CONFIG_OPTIONS_COUNT, CONTROL_CURRENT_STATUS_ATTR, CONTROL_ENABLED, CONTROL_ENABLED_ATTR, CONTROL_HST_DETAIL_ATTR, CTX_INTERNAL, CTX_SUMMARIES, CURR_CONFIG_SCHEMA, CURR_RES_LOCATION_MODE, CURR_RES_LOCATION_TAG, CURR_RES_LOCATION_TYPE, CUSTPROPS_AVAIL, DEF_ROLE_DASH_PREFS, DEF_USER_DASH_PREFS, DEF_USER_PREFS, DEPLOYED_HEALTH_SUMMARIES_ATTR, EDIT_CONFIG, ENTITY_IDS_ATTR, EU_RT, EU_RT_SUPPORTED, GROUP_FORM_ATTR, GROUP_MEMBER_HEALTH_SUMMARIES_ATTR, GROUP_REMOVE_MEMBERS_FORM_ATTR, GROUP_TYPE_LABEL, HOST_HEALTH_SUMMARIES_ATTR, IMPORT_ERROR_ATTR, IMPORT_IGNORE_ERROR_ATTR, INTERNAL_HEALTH_SUMMARIES_ATTR, INVENTORY_HIERARCHY_ATTR, IS_DASHBOARD_REMOVED, JAAS_PROVIDER_CTX_ATTR, LAST_AI_ERROR_ATTR, LIST_SIZE_ATTR, METRIC_SUMMARIES_ATTR, MINI_TABS_ATTR, MONITOR_CONFIG_OPTIONS, MONITOR_CONFIG_OPTIONS_COUNT, MONITOR_ENABLED_ATTR, MONITOR_HELP, NEEDS_REGISTRATION, NUM_APPSVC_DEPENDEES_ATTR, NUM_APPSVC_DEPENDERS_ATTR, NUM_AVAIL_APPSVCS_REQ_ATTR, NUM_AVAIL_RESGRPS_ATTR, NUM_AVAIL_RESOURCES_ATTR, NUM_AVAIL_SVCDEPS_REQ_ATTR, NUM_CHILD_RESOURCES_ATTR, NUM_PENDING_APPSVCS_REQ_ATTR, NUM_PENDING_METRICS_ATTR, NUM_PENDING_RESGRPS_ATTR, NUM_PENDING_RESOURCES_ATTR, NUM_PENDING_SVCDEPS_REQ_ATTR, NUM_RESGRPS_ATTR, NUM_RESOURCES_ATTR, NUM_USERS_ATTR, OLD_CONFIG_RESPONSE, OPERATIONS_CTX_ATTR, PARENT_RESOURCE_ATTR, PASSWORD_SES_ATTR, PENDING_APPSVCS_REQ_ATTR, PENDING_APPSVCS_SES_ATTR, PENDING_METRICS_ATTR, PENDING_RESGRPS_ATTR, PENDING_RESGRPS_SES_ATTR, PENDING_RESOURCES_ATTR, PENDING_RESOURCES_SES_ATTR, PENDING_ROLES_SES_ATTR, PENDING_SVCDEPS_REQ_ATTR, PENDING_SVCDEPS_SES_ATTR, PENDING_USERS_ATTR, PENDING_USERS_SES_ATTR, PERF_SUMMARIES_ATTR, PERFORMANCE_SUPPORTED_ATTR, PERMISSIONS_CTX_ATTR, PLATFORM_MACHINE_TYPES_CTX_ATTR, PLATFORM_OS_EDITABLE, PLATFORM_SERVICE_ATTR, PORTAL_KEY, PRODUCT_CONFIG_OPTIONS, PRODUCT_CONFIG_OPTIONS_COUNT, PROPS_TAGLIB_NAME, RESOURCE_ATTR, RESOURCE_HEALTH_LIST, RESOURCE_LOCATIONS_CTX_ATTR, RESOURCE_MODIFIER_ATTR, RESOURCE_OTHER_TYPES_ATTR, RESOURCE_OWNER_ATTR, RESOURCE_REMOVE_APPSERVICES_FORM_ATTR, RESOURCE_REMOVE_CHILDREN_FORM_ATTR, RESOURCE_REMOVE_FORM_ATTR, RESOURCE_REMOVE_GROUPS_MEMBERS_FORM_ATTR, RESOURCE_REMOVE_SERVERS_FORM_ATTR, RESOURCE_REMOVE_SERVICES_FORM_ATTR, RESOURCE_SUMMARY_ATTR, RESOURCE_TYPE_ATTR, RESOURCE_TYPE_MAP_ATTR, RESOURCE_TYPES_ATTR, RESTYPES_CTX_ATTR, RETURN_IGNORED_FOR_OK_ATTR, RETURN_LOC_SES_ATTR, ROLE_RESGRPS_ATTR, ROLE_USERS_ATTR, ROOT_BREADCRUMB_URL_ATTR_NAME, RT_CONFIG_OPTIONS, RT_SUPPORTED, SCAN_STATE_ATTR, SERVER_APPLICATION_TYPES_CTX_ATTR, SERVER_BASED_AUTO_INVENTORY, SERVER_BASED_AUTO_INVENTORY_VALUE, SERVERS_ATTR, SERVICE_LOCATOR_CTX_ATTR, SERVICE_RT, SERVICES_ATTR, SNMP_LOCAL_ENGINE_ID, SUB_MINI_TABS_ATTR, TIME_INTERVALS_ATTR, TITLE_PARAM_ATTR, TITLE_PARAM2_ATTR, URL_ATTR, USER_ATTR, USER_OPERATIONS_ATTR, USERS_SES_PORTAL, WEBUSER_SES_ATTR, WORKFLOW_COMPARE_METRICS_NAME, WORKFLOW_SES_ATTR, XLIB_INSTALLED`

Fields inherited from interface org.hyperic.hq.ui.ParamConstants
`ACCORDION_PARAM, ADD_PARAM, ADD_X_PARAM, AI_PLATFORM_PARAM, AI_RESOURCE_PARAM, ALERT_ACTION_ENABLE_UNITS_DAYS, ALERT_ACTION_ENABLE_UNITS_HOURS, ALERT_ACTION_ENABLE_UNITS_MINUTES, ALERT_ACTION_ENABLE_UNITS_SECONDS, ALERT_ACTION_ENABLE_UNITS_WEEKS, ALERT_CONDITION_NONE_DELETED, ALERT_DEFINITION_PARAM, ALERT_STATE_PARAM, ALERT_THRESHOLD_COMPARATOR_EQ, ALERT_THRESHOLD_COMPARATOR_GT, ALERT_THRESHOLD_COMPARATOR_LT, ALERT_THRESHOLD_COMPARATOR_NE, APPDEF_RES_TYPE_ID, AUTOGROUP_TYPE_ID_PARAM, CANCEL_PARAM, CANCEL_X_PARAM, CHILD_RESOURCE_APPDEF_TYPE_ID_PARAM, CHILD_RESOURCE_TYPE_ID_PARAM, CONTROL_ACTION_NONE, CONTROL_BATCH_ID_PARAM, CONTROL_STATUS_PARAM, DASHBOARD_ID_PARAM, EDIT_PARAM, EDIT_X_PARAM, EDITABLE_DASHBOARDS_PARAM, ENTITY_ID_PARAM, FILTER_BY_PARAM, HAS_MULTIPLE_DASHBOARDS_PARAM, IS_FAVORITE_PARAM, LOGON_STATUS, METRIC_NAME_PARAM, METRIC_PARAM, METRIC_RANGE, MODE_ADD, MODE_ADD_GROUPS, MODE_ADD_RESOURCES, MODE_ADD_ROLE, MODE_ADD_ROLES, MODE_ADD_SERVICES, MODE_ADD_USER, MODE_ADD_USERS, MODE_CHANGE_OWNER, MODE_CONFIGURE, MODE_CRNT_DETAIL, MODE_DISABLED, MODE_EDIT, MODE_EDIT_CONFIG, MODE_EDIT_PASS, MODE_EDIT_RESOURCE, MODE_EDIT_TYPE, MODE_ENABLED, MODE_HST, MODE_HST_DETAIL, MODE_LIST, MODE_MON_CHART_MMSR, MODE_MON_CHART_SMMR, MODE_MON_CHART_SMSR, MODE_MON_COMPARE_METRICS, MODE_MON_METRIC_METADATA, MODE_NEW, MODE_PARAM, MODE_REGISTER, MODE_REMOVE, MODE_RESULTS, MODE_VIEW, MODE_VIEW_RESULTS, NEW_PARAM, NEW_X_PARAM, OK_ASSIGN_PARAM, OK_ASSIGN_X_PARAM, OK_PARAM, OK_X_PARAM, PAGENUM_PARAM, PAGESIZE_PARAM, PARAM_VIEW, RANGE_END_DATE, RANGE_START_DATE, REM_PORTLET_PARAM, REMOVE_PARAM, REMOVE_X_PARAM, RESET_PARAM, RESET_X_PARAM, RESOURCE_PARAM, RESOURCE_TYPE_ID_PARAM, RETURN_TO_LINK_PARAM_NAME, RETURN_TO_LINK_PARAM_VALUE, ROLE_ADMIN_HQ_PARAM, ROLE_PARAM, SCHEDULE_PARAM, SORTCOL_PARAM, SORTORDER_PARAM, URL_PARAM, USER_PARAM`

Fields inherited from interface org.hyperic.hq.ui.KeyConstants
`ARC_REPORTS_URL, CONFIG_PROP_ARC_SERVER_URL, DASHBOARD_ID, DASHBOARD_NAME, DEFAULT_DASHBOARD_ID, DEFAULT_INDICATOR_VIEW, DEPL_CHILD_MODE_ATTR, HELP_BASE_URL_KEY, INDICATOR_VIEWS, INTERN_CHILD_MODE_ATTR, IS_DASH_EDITABLE, MODE_ADD_METRICS, MODE_MON_CUR, MODE_MON_DEPL_SVCS, MODE_MON_DEPL_SVRS, MODE_MON_EDIT_RANGE, MODE_MON_INTERN_SVCS, MODE_MON_PERF, MODE_MON_RES_METS, MODE_MON_URL, MON_SVC_TYPE, PAGE_TITLE_KEY, POST_AUTH_CALLBACK_URL, RSS_TOKEN, SELECTED_DASHBOARD_ID, SYSTEM_VARIABLE_PATH, USER_DASHBOARD_ALERT_SUMMARY_GROUPS, USER_DASHBOARD_ALERT_SUMMARY_RANGE, USER_DASHBOARD_CHART_INTERVAL, USER_DASHBOARD_CHART_RANGE, USER_DASHBOARD_CHART_ROTATION, USER_DASHBOARD_CHARTS, USER_DASHBOARD_JSON, USER_PORTLETS_FIRST, USER_PORTLETS_SECOND, USERPREF_KEY_AVAILABITY_RESOURCES, USERPREF_KEY_CRITICAL_ALERTS_RESOURCES, USERPREF_KEY_FAVORITE_RESOURCES, USERPREF_KEY_PROBLEMS_IGNORELIST, USERPREF_KEY_PROBLEMS_RANGE, USERPREF_KEY_PROBLEMS_SHOWIGNORED, USERPREF_KEY_RECENT_RESOURCES`

Fields inherited from interface org.hyperic.hq.ui.StringConstants
`AJAX_ELEMENT, AJAX_OBJECT, CHANGE_OWNER_TITLE, COOKIE_HIDE_HELP, DASHBOARD_DELIMITER, DAYS_LABEL, DIR_COMMA_SYM, DIR_PIPE_SYM, EMPTY_DELIMITER, GUIDE_WINDOW_PROPS, HOURS_LABEL, INTROHELP_LOC, LARGE_LOGO, LARGE_LOGO_NAME, MINUTES_LABEL, PROPS_FILE_NAME, PROPS_TAGLIB, PROPS_USER_PREFS, SMALL_LOGO, SMALL_LOGO_NAME, UNIT_FORMAT_PREFIX_KEY`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APP_VERSION

    public static final java.lang.String APP_VERSION

See Also:
  Constant Field Values

### APP_BUILD

    public static final java.lang.String APP_BUILD

See Also:
  Constant Field Values

### INVENTORY_LOC_TYPE

    public static final java.lang.String INVENTORY_LOC_TYPE

See Also:
  Constant Field Values

### MONITOR_VISIBILITY_LOC

    public static final java.lang.String MONITOR_VISIBILITY_LOC

See Also:
  Constant Field Values

### MONITOR_CONFIG_LOC

    public static final java.lang.String MONITOR_CONFIG_LOC

See Also:
  Constant Field Values

### CONTROL_LOC

    public static final java.lang.String CONTROL_LOC

See Also:
  Constant Field Values

### ALERT_LOC

    public static final java.lang.String ALERT_LOC

  These two locations are not handled similar to the rest of the above URL

  See Also:
    Constant Field Values

### ALERT_CONFIG_LOC

    public static final java.lang.String ALERT_CONFIG_LOC

See Also:
  Constant Field Values

### CONTROL_STATUS_ERROR

    public static final java.lang.String CONTROL_STATUS_ERROR

  Status of the current control action.

  See Also:
    Constant Field Values

### CONTROL_STATUS_INPROGRESS

    public static final java.lang.String CONTROL_STATUS_INPROGRESS

See Also:
  Constant Field Values

### CONTROL_STATUS_COMPLETED

    public static final java.lang.String CONTROL_STATUS_COMPLETED

See Also:
  Constant Field Values

### CONTROL_STATUS_NONE

    public static final java.lang.String CONTROL_STATUS_NONE

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.